Expression Interactive Designer and Graphic Designer March CTP

Expression Interactive Designer and Graphic Designer March CTP

  • Comments 17

Psst - don't tell anyone - but the March release of Expression Interactive Designer ("Sparkle") and Expression Graphics Designer ("Acrylic") are now available. These releases are compatible with the February CTP of the WinFX Runtime Components, just to confuse everyone :)

As a quick reminder, Expression Interactive Designer is the designer-orientated tool for building WPF user interfaces; Expression Graphics Designer is a vector and bitmap graphics tool that happens to offer a very nice XAML export function. (For completeness, we also have some extensions for building WinFX applications using Visual Studio, available from the MSDN WinFX site.)

One caveat that you might want to be aware of: the February CTP of the Visual Studio Extensions for WinFX shipped with a bug in how it handles markup compatibility namespaces.  This bug manifests most quickly if you use the Expression Interactive Designer March CTP on the same XAML file. We've added a hotfix into the February CTP and have slipstreamed the fix into the download site. This will be available in the next day or two, and I'll add a further announcement when that happens. For now, don't expect seamless interoperability between the two tools.

  • Hi,

    is there a chance to be be invite in the Vista Beta Testing trough connect? i'm already testing office 2007 and will be nice is i can test both new desktop products!

    thks again grazie

    cesare
  • Hmm i installed this winfx februar ctp http://www.microsoft.com/downloads/details.aspx?FamilyId=F51C4D96-9AEA-474F-86D3-172BFA3B828B&displaylang=en
    and still my sparkle march ctp says it needs to have wpf 6.XXXXXXX installed. Someone knows what i have to do to get sparkle running and this winfx it needs to have installed ?
  • Hi Thomas, I'm not quite sure what's happening here - please send me a note offline and we'll try and figure out why you're getting stuck.
  • Cesare, probably the best way to get access to Windows Vista is to join up to MSDN - the subscriber downloads section contains each CTP that we post. I'm sure you know this already, but the purpose of MSDN subscriptions is to enable us to build up a community of professional developers and make our software available at a very low price for development and testing purposes.
  • Hello Tim,
    thanks for your offer to help me out ! This Version matching is really a pest. I had a previous version of winfx on my machine (don´t know version anymore)  and also February ctp of sparkle. Since Sparkle has this AMD X2 problem I switched to march ctp. First time i installed it said i had to deinstall previous version of WPF und sparkle which i did via software in controll panel. Rebooted and installed the new winfx februar ctp, all went fine. Reboot again and my march sparkle install still gives me this error :

    You must install WPF version 6.0.5295.60113 bevore installing MS Interactive Designer.

    If you have a tip let me know. I don´t know what you mean by "note offline" (or online note if it was a typo :) ).

    If you need to get in touch with me directly mail to t.schlegl [AT] gmail.com.
    (please delete the email adress here if you don´t need it anymore).

    Thomas
  • I just checked if the files i got Version match at all. In a VM i can install Sparkle with my winfx Version. Seems a reinstall is a way to go....
  • I am baaack (yeah sorry, couldn't resist).. Okay first month of the CTP I complained about problems with 64 bit support that there was none..

    This month I am still having problems but different ones. This version matching stuff has to go.. Let people who have problems with installing to the wrong version have problems, I'd just like to see the CTP install for once.. Can you set the .MSI file to force the install??

    This build's problems:
    Okay, I uninstalled and reinstalled the CTP in 32-bit XP Pro.. I made sure to uninstall then install february's winFX..

    Expression Interactive designer tells me in ERROR:

    "You must install WindowsPresentation Foundation version 6.0.5295.60113 before installing expression interactive designer"

    just like the guy above.  Expression Graphics Designer installs WITH ABSOLUTELY no problems at all (Remember this is on 32-bit windows).  I would like the installer for once to tell me which version of WPF it thinks is installed not just that I don't have a certain version isn't installed, because frankly I don't believe it...
    I know I am not mismatching because I am downloading freshly from a microsoft site after uninstalling...

    ONTO the x64 5308 build install:
    now if I try to install to build 5308 on x64 on the other two machines it gets to the point of installing (it gets to the very end of the install and then BINGO I get the error and it rolls back the entire install..  

    the error message there is

    "An error occured during the installation of assembly component
    {98CB24AD-52FB-DB5F-A01F-C8B3B9A1E18E} HRESULT: 0x80070006."


    I guess I am not ever supposed to preview this technologyand have it work.. You probably have my emails from before. I have bothered to test my WinFX and .Net installs so and there aren't existing issues that I can find.. HELP!
  • Same thing here. I had the previous version. Uninstalled everything but now, the setup complains about version 6.0.5295.60113 before installing.

    Did a complete cleanup (as much as I could). Reinstalled everything and still no luck. It looks like something from the January CTP doesn't uninstall completely. Very similar to the infernal problem I got with pre-release VStudio.

    Anyone has a clue or additional information?
  • Not at this time sorry. If someone from MS comes across, please guys give us some info instead of "I need Version X" msg boxes. It would be really great to know :

    a.) What Version do i have currently on ?
    b.) certain file which has been check,and found Version mismatch
    c.) Where to get the needed Version (with a link to the MS download file)

    Ofcourse i know this is all preview software and shurly we can live with some bugs in those great CTP´s but not beeing able to use them at all is simply cruel :) Especially with a technology like WPF which will shift how we see programms SO MUCH !
  • OK. I finally managed to have it installed. I had to manually remove a bunch of outdated assemblies that did not want to go away. All of them seem to be related to build 4030 (PresentationCore and its related stuff).

    It really looks like either the sequence or material I had installed before did not completely went away before installing the WinFX February CTP (I had January installed).

    Now, EID starts, loads projects but can't compile them. My Studio 2005 is meanwhile able to build projects.

    I hope I'll be able to nail this one soon...
  • Oh, by the way, the error I get in every project is the following:

    Application.xaml(2,2): error MC3074: Unrecognized tag 'Application' in namespace 'http://schemas.microsoft.com/winfx/2006/xaml/presentation'. Note that tag names are case sensitive. Line 2 Position 2.
    Scene1.xaml(2,2): error MC3074: Unrecognized tag 'Grid' in namespace 'http://schemas.microsoft.com/winfx/2006/xaml/presentation'. Note that tag names are case sensitive. Line 2 Position 2.
  • I've added a new entry that describes a few troubleshooting steps that might help some of you out - check it out here:
      http://blogs.msdn.com/tims/archive/2006/03/13/550600.aspx

    Tim
  • I'm still a bit confused.  Is Avalon still incompatible with AMD X2's?  With all the CTP's I get a crash whenever I launch an avalon app - including Expression.  I can try launching an Avalon app 10 times in a row and it might actually open 3 times.  But if I cause any repainting events on the app (dragging it or opening menus) I get a crash.
    This is a clean XP install with all the latest CTP's.
    THanks!
    Doug

    Here's my Expression crash:
    AppName: exprid.exe AppVer: 0.1.2557.0 ModName: ntdll.dll
    ModVer: 5.1.2600.2180 Offset: 00001230
  • Any word on that fix for WinFX Feb CTP?  I need at least near "seamless interoperability between the two tools".  I have been keeping an eye on the "Date Published" datum here:
    http://www.microsoft.com/downloads/details.aspx?FamilyId=F51C4D96-9AEA-474F-86D3-172BFA3B828B&displaylang=en

    Will that change when the fixed CTP is ready for me to download?

    Also, I saw a thread on the MSDN forums that I can no longer find, where someone suggested an addition to one of the installation files (looked like xml).  I wasn't willing to try that when I first saw it, but am eager to get back to working with EID and VC#2005.  Could that have been an easier solution?   Sorry so vague--the post I saw went something like this:

    "I saw on another forum that I could add this line:
    <some xml stuff I really should have written down> to this file, somethingCore.xml, and it worked!"

    If there is a way to repair the Feb install without waiting for the download to trickle down the slipstream?

    Thanks!
  • oop. If the fix is in Orcas, then I have been stalking the wrong page.  My apologies, I'll dl those again see what happens.
Page 1 of 2 (17 items) 12